package ru.ulstu.fc.project.service;

import java.util.Collections;
import java.util.List;

import org.springframework.stereotype.Service;

import ru.ulstu.fc.rule.repository.RuleRepository;
import ru.ulstu.fc.rule.model.FuzzyRule;

@Service
public class ProjectRulesService {
    private final RuleRepository ruleRepository;
    private final ProjectService projectService;

    public ProjectRulesService(RuleRepository ruleRepository,
            ProjectService projectService) {
        this.ruleRepository = ruleRepository;
        this.projectService = projectService;
    }

    public List<FuzzyRule> getByProjectId(Integer projectId) {
        if (projectId == null || projectId == 0) {
            return Collections.emptyList();
        }
        return ruleRepository.findByProject(projectService.getById(projectId));
    }
}
